# Bryan Schumaker (2 / 11 / 2011)

import gtk

import listview
import menu

Menu = menu.Menu

class Source(gtk.ScrolledWindow):
	def __init__(self):
		gtk.ScrolledWindow.__init__(self)
		self.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)

		self.listview = listview.ListView()
		self.add(self.listview)
		self.show()

		# Function pointer declarations
		self.get_selected_ids = self.listview.get_selected_ids
		self.set_right_click  = self.listview.set_right_click
		self.set_filter_func  = self.listview.set_filter_func
		self.refilter = self.listview.refilter
		self.insert   = self.listview.insert_rows
		self.clear    = self.listview.clear
		self.goto     = self.listview.goto
